# 複数物件の積算結果の可視化ツール


## 本プログラムの説明
複数の『SS7』の物件データの積算結果を散布図と棒グラフで可視化し比較するツールです。
延べ床面積当たりの計算結果を用いて、コンクリート、型枠、鉄筋、鉄骨の数量をグラフとして可視化します。
各項目の単価に応じた合計金額を散布図で表示し、散布図のプロットをクリックすると数量の詳細を棒グラフで表示します。
また、絞り込み機能を用いて、主体構造種別や建築規模を指定して表示することができます。
![](docs/image/image_1.png)

## 本プログラムの実行方法
1. 指定フォルダに『SS7』の物件データをコピーします。  
※結果データを上書きするため、データの取り扱いには注意してください。
2. プログラムを実行し、ツールを起動します（cost_viewer.py）。  
例) C:に「example」というフォルダ名で配置する場合
    ```cmd
    cd C:\example\src
    python cost_viewer.py
    ```
3. 1.で指定したフォルダの絶対パスを入力します。参照ボタンをクリックすることでも指定可能です。  
    ![](docs/image/image_2.png)
4. 単価にて各項目の単価を入力します。単位は千円です。  
    ![](docs/image/image_3.png)
5. 結果No.を指定し、実行ボタンをクリックします。  
    ![](docs/image/image_4.png)
6. メッセージボックスが表示されたら、OKをクリックし、計算を実行します。  
    ![](docs/image/image_5.png)
6. 計算が終了すると比較グラフに、散布図が表示されます。  
    ![](docs/image/image_6.png)
7. 散布図のプロットをクリックすると、詳細グラフに数量の詳細が棒グラフで表示されます。  
    ![](docs/image/image_7.png)
8. 構造種別や建築規模を指定することで、絞り込み表示が可能です。  
    ![](docs/image/image_8.png)
    ![](docs/image/image_9.png)

## 注意事項
- 本プログラムには『Op.積算』のライセンスが必要です。
- 本プログラムは『SS7』Ver.1.1.1.19、Ver.1.1.1.20で動作確認を行いました。
- 計算対象の入力データは、保存した時点の入力データを使用します。
- プログラムで指定した『SS7』のデータは、指定した結果No.で上書きされます。なお、ロックされた結果フォルダは計算対象外としてスキップします。
- 本プログラムは『SS7』Ver.1.1.1.19で計算を実行します（ソースコードで変更可能です。calc_cost.py の「SS7_VERSION」でバージョンを指定してください）。
- 過去バージョンのデータは、「コピーして、バージョン変換し開く」とします（ソースコードで変更可能です）。

## 『Op.Python実行』の設定手順
Ss7Pythonライブラリを使用するための設定手順です。
1. 『SS7』を起動し，[ツール－環境設定－Op.Python実行]画面を表示します。
2. “利用可能なPython言語のバージョン”を選択し，[デスクトップへコピー]ボタンをクリックします。
3. デスクトップにある「Python」フォルダごと，「src」フォルダにコピーします。

## 必要な外部ライブラリ
本プログラムは以下のバージョンで動作確認を行いました。
以下の外部ライブラリをPython実行環境にインストールしてください。
- pandas = "^2.2.1"
- matplotlib = "^3.9.1"
- japanize-matplotlib = "^1.1.3"
```cmd
pip install pandas==2.2.1
pip install matplotlib==3.9.1
pip install japanize-matplotlib==1.1.3
```

外部ライブラリのライセンスは「LICENSES/ライセンスについて.txt」を確認してください。

## 著作者
Copyright (C) 2024 UNION SYSTEM Inc.

## ライセンス
本プログラムは MIT License に基づいています。「LICENSE」を確認してください。